> For the complete documentation index, see [llms.txt](https://apidocs.akinon.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://apidocs.akinon.com/omnitron-openapis/deleted-items.md).

# Deleted Items

## GET /deleted\_items/

> Retrieve a list of deleted items

```json
{"openapi":"3.0.3","info":{"title":"Omnitron API","version":"1.0.0"},"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"parameters":{"object_id":{"name":"object_id","in":"query","description":"Filter by object ID","required":false,"schema":{"type":"string"}},"content_type_model":{"name":"content_type_model","in":"query","description":"Filter by content type model","required":false,"schema":{"type":"string"}},"deleted_date":{"name":"deleted_date","in":"query","required":false,"description":"Filter by deletion date using supported lookup expressions (e.g., `gt`, `gte`, `lt`, `lte`, `date__gt`, etc.).","schema":{"type":"string","format":"date-time"}},"content_type":{"name":"content_type","in":"query","description":"Filter by content type","required":false,"schema":{"type":"integer"}}},"schemas":{"DeletedItem":{"type":"object","properties":{"id":{"type":"integer"},"content_type":{"$ref":"#/components/schemas/ContentType"},"object_id":{"type":"string"},"deleted_date":{"type":"string","format":"date-time"}}},"ContentType":{"type":"object","properties":{"id":{"type":"integer","readOnly":true,"description":"Content Type ID"},"app_label":{"type":"string","description":"App label for the content type"},"model":{"type":"string","description":"Model for the content type"}},"required":["app_label","model"]}}},"paths":{"/deleted_items/":{"get":{"summary":"Retrieve a list of deleted items","tags":["Deleted Items"],"parameters":[{"$ref":"#/components/parameters/object_id"},{"$ref":"#/components/parameters/content_type_model"},{"$ref":"#/components/parameters/deleted_date"},{"$ref":"#/components/parameters/content_type"}],"responses":{"200":{"description":"A list of deleted items","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DeletedItem"}}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://apidocs.akinon.com/omnitron-openapis/deleted-items.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
